This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 706740 - Orphaned links on rc0.d-rc6.d
Orphaned links on rc0.d-rc6.d
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-22 12:32 EDT by marian
Modified: 2011-06-08 20:01 EDT (History)
8 users (show)

See Also:
Fixed In Version: sssd-1.5.8-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-08 20:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description marian 2011-05-22 12:32:06 EDT
Description of problem:


Version-Release number of selected component (if applicable):
 yum info initscripts
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
Name        : initscripts
Arch        : x86_64
Version     : 9.30
Release     : 2.fc15
Size        : 5.4 M
Repo        : installed
From repo   : fedora
Summary     : The inittab file and the /etc/init.d scripts
URL         : http://fedorahosted.org/releases/i/n/initscripts/
License     : GPLv2 and GPLv2+
Description : The initscripts package contains the basic system scripts used to
            : boot your Red Hat or Fedora system, change runlevels, and shut the
            : system down cleanly.  Initscripts also contains the scripts that
            : activate and deactivate most network interfaces.



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
!K80sssd,!K87irqbalance,!S99single orphaned links

Expected results:
w/o orphaned links

Additional info:
Comment 1 Bill Nottingham 2011-05-23 10:58:26 EDT
S99single is fixed in initscripts git.

sssd/irqbalance are upgrade issues in those packages. Depending on what versions you upgrade through, it may not be reasonably fixable. Were you running various beta/pre-releases?

In any case, assigning to sssd.
Comment 2 Stephen Gallagher 2011-05-23 13:36:41 EDT
I'm not sure how to go about removing the K80sssd file. SSSD in Fedora 15 is now using systemd, so I don't have any interface that I'm aware of to know whether there is an init.d symlink present that I would have to remove (and I'm not sure whether it's sane to just 'rm -f /etc/rc.*/K80sssd' in %post.
Comment 3 marian 2011-05-23 13:48:31 EDT
I'm not touch initscripts anywhere.Supose from upgrade this issue is present.
Comment 4 Bill Nottingham 2011-05-23 14:20:46 EDT
Stephen - you'd need to add:

/sbin/chkconfig --del sssd

at the end of the %triggerun that you have on the earlier version, in order to remove the old links.  Obviously, this would only help new upgrades; it wouldn't do anything on systems that already have the dangling links.

diff --git a/sssd.spec b/sssd.spec
index 4463adf..0b7294c 100644
--- a/sssd.spec
+++ b/sssd.spec
@@ -278,7 +278,7 @@ fi
 if /sbin/chkconfig --level 5 sssd ; then
         /bin/systemctl --no-reload enable sssd.service >/dev/null 2>&1 || :
 fi
-
+/sbin/chkconfig --del sssd >/dev/null 2>&1 || :
 
 
 %postun
Comment 5 Fedora Update System 2011-05-23 15:14:28 EDT
sssd-1.5.7-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sssd-1.5.7-3.fc15
Comment 6 marian 2011-05-24 00:26:19 EDT
Ok but remain !K87irqbalance,!S99single.
Comment 7 marian 2011-05-24 00:29:38 EDT
Ok but remain !K87irqbalance,!S99single.
Comment 8 Stephen Gallagher 2011-05-24 07:43:49 EDT
(In reply to comment #7)
> Ok but remain !K87irqbalance,!S99single.

Those are separate bugs against different components. You need to open two other bugs, one against the 'irqbalance' component and one against the 'initscripts' component.

This bug is tracking the SSSD fix.
Comment 9 marian 2011-05-24 10:35:22 EDT
Yes tnx of lot.
Comment 10 Bill Nottingham 2011-05-24 11:26:49 EDT
As stated, the initscripts one is already fixed in upstream source, it just hasn't been packaged yet.
Comment 11 Fedora Update System 2011-05-24 22:57:45 EDT
Package sssd-1.5.7-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.5.7-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sssd-1.5.7-3.fc15
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2011-05-28 20:00:35 EDT
Package sssd-1.5.8-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.5.8-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sssd-1.5.8-1.fc15
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2011-06-08 20:01:36 EDT
sssd-1.5.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.